Consultar sinais da análise
curl --request GET \
--url https://api.nlbs.ai/analyses/{analysis_uuid}/signalsimport requests
url = "https://api.nlbs.ai/analyses/{analysis_uuid}/signals"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.nlbs.ai/analyses/{analysis_uuid}/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"counts": {
"score_sum": 123,
"total": 123,
"by_pillar": {}
},
"signals": [
{
"adjusted_score": 123,
"assessed_entity_id": 123,
"base_score": 123,
"code": "<string>",
"identified": true,
"name": "<string>",
"pillar": "sanc",
"root_entity_id": 123,
"severity": "clean",
"version": "<string>",
"band_floor": "low",
"evidences": [
{
"content": {
"triggering_count": 123,
"decisions": [
{
"entity_id": 123,
"matched_keyword": "<string>",
"publication_id": 123,
"publication_type": "official_gazette",
"context_excerpt": "<string>",
"document_url": "<string>",
"entity_cnpj": "<string>",
"entity_display_name": "<string>",
"entity_name_in_text": "<string>",
"mention_role": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"source_code": "cgu_ceis",
"source_name": "<string>",
"title": "<string>"
}
]
},
"description": "Decisões oficiais que nomeiam a entidade avaliada como condenada ou penalizada",
"key": "administrative_condemnation_decisions",
"label": "Condenações administrativas",
"metadata": {},
"type": "administrative_condemnation"
}
],
"kind": "observable",
"limitations": [
{
"fields": [
"<string>"
],
"justification": ""
}
],
"observed_entity_ids": [
123
]
}
],
"domain_occurrences": [
{
"domain": "<string>",
"has_occurrences": true,
"identified_signal_codes": [
"<string>"
],
"records_found": true
}
]
}{
"detail": "Resource not found."
}{
"detail": "Resource not found."
}{
"detail": "Resource not found."
}Sinais, eventos e processos
Consultar sinais da análise
Sinais identificados em detalhe (evidências, detalhamento de score) mais contagens.
GET
/
analyses
/
{analysis_uuid}
/
signals
Consultar sinais da análise
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Sinais identificados (graph_paths excluído; use signal_graph_index de /graph).
Show child attributes
Show child attributes
Status consolidado por base consultada (atualidade × sinais identificados). Uma base entra em 'bases consultadas sem ocorrências' quando has_occurrences é false. Vazio enquanto a análise está em execução, e para resultados persistidos antes deste campo existir.
Show child attributes
Show child attributes

